musculacao <- function(treino, treino.anterior=data.frame("treinoanterior.csv")) #iniciando a funcao
{
  
  peito <- exercicios[exercicios$grupo=="peito", 2] #criacao de objeto com exercicios de peito indexados
  costas <- exercicios[exercicios$grupo=="costas", 2] #criacao de objeto com exercicios de costas indexados
  abdominal <- exercicios[exercicios$grupo=="abdominal", 2] #criacao de objeto com com exercicios de abdominal indexados
  perna <- exercicios[exercicios$grupo=="perna", 2] #criacao de objeto com exercicios de perna indexados
  biceps <- exercicios[exercicios$grupo=="biceps", 2] #criacao de objeto com exercicios de biceps indexados
  triceps <- exercicios[exercicios$grupo=="triceps", 2] #criacao de objeto com exercicios de triceps indexados
  ombro <- exercicios[exercicios$grupo=="ombro", 2] #criacao de objeto com exercicios de ombro indexados
  
  treino <- readline("Seu arquivo possui no mnimo 6 exercicios para cada grupo muscular? Responda 's' para sim e 'n' para nao.") #ocorre uma interacao com o usuario com uma pergunta na tela
  
  if(substr(treino, 1, 1)=="n") #se a resposta for 'nao' para a pergunta "Seu data.frame com os exercicios possui no mnimo 6 exercicios para cada grupo muscular?"
    stop("Voce deve ter ao menos 6 opcoes de exercicios para cada grupo muscular") #interrompe a funcao em caso negativo e avisa o usuario
  
  if(substr(treino, 1, 1)=="s") #se a resposta for 'sim' para a pergunta "Seu data.frame com os exercicios possui no mnimo 6 exercicios para cada grupo muscular?"
  {
    
    treino <- readline("Voce quer treinar um grupo muscular por dia? Responda 's' para sim e 'n' para nao.") #ocorre uma interacao com o usuario com uma pergunta na tela
    
    if(substr(treino, 1, 1)=="s") #se a resposta for 'sim' para a pergunta "Voce quer treinar um grupo por dia?"
    {
      #a verificacao servira para todas as opcoes de treino que o usuario podera escolher
      if(length(exercicios[exercicios$grupo=="peito", 2])<6) #verifica se ha no minimo 6 opcoes de exercicio de peito no data.frame
        stop("Voce deve ter ao menos 6 opcoes de exercicios para o treino de peito.") #interrompe a funcao em caso negativo e avisa o usuario
      
      if(length(exercicios[exercicios$grupo=="costas", 2])<6) #verifica se ha no minimo 6 opcoes de exercicio de costas no data.frame
        stop("Voce deve ter ao menos 6 opcoes de exercicios para o treino de costas.") #interrompe a funcao em caso negativo e avisa o usuario
      
      if(length(exercicios[exercicios$grupo=="abdominal", 2])<6) #verifica se ha no minimo 6 opcoes de exercicio de abdominal no data.frame
        stop("Voce deve ter ao menos 6 opcoes de exercicios para o treino de abdominal.") #interrompe a funcao em caso negativo e avisa o usuario
      
      if(length(exercicios[exercicios$grupo=="perna", 2])<6) #verifica se ha no minimo 6 opcoes de exercicio de perna no data.frame
        stop("Voce deve ter ao menos 6 opcoes de exercicios para o treino de perna.") #interrompe a funcao em caso negativo e avisa o usuario
      
      if(length(exercicios[exercicios$grupo=="biceps", 2])<6) #verifica se ha no minimo 6 opcoes de exercicio de biceps no data.frame
        stop("Voce deve ter ao menos 6 opcoes de exercicios para o treino de biceps.") #interrompe a funcao em caso negativo e avisa o usuario
      
      if(length(exercicios[exercicios$grupo=="triceps", 2])<6) #verifica se ha no minimo 6 opcoes de exercicio de triceps no data.frame
        stop("Voce deve ter ao menos 6 opcoes de exercicios para o treino de triceps.") #interrompe a funcao em caso negativo e avisa o usuario
      
      if(length(exercicios[exercicios$grupo=="ombro", 2])<6) #verifica se ha no minimo 6 opcoes de exercicio de ombro no data.frame
        stop("Voce deve ter ao menos 6 opcoes de exercicios para o treino de ombro.") #interrompe a funcao em caso negativo e avisa o usuario
      
      exer.peito <- sample(peito, size=5, replace=F) #sorteio de 5 exercicios sem repeticao
      exer.costas <- sample(costas, size=6, replace=F) #sorteio de 6 exercicios sem repeticao
      exer.abdominal <- sample(abdominal, size=3, replace=F) #sorteio de 3 exercicios sem repeticao
      exer.perna <- sample(perna, size=5, replace=F) #sorteio de 5 exercicios sem repeticao
      exer.biceps <- sample(biceps, size=6, replace=F) #sorteio de 6 exercicios sem repeticao
      exer.triceps <- sample(triceps, size=5, replace=F) #sorteio de 5 exercicios sem repeticao
      exer.ombro <- sample(ombro, size=6, replace=F) #sorteio de 6 exercicios sem repeticao
      
      DiaA.exercicio.repeticoes.intervalo <- c(exer.peito, exer.abdominal[1]) #objeto treino do dia A eh feito com os exercicios de peito e abdominal na posio 1
      DiaB.exercicio.repeticoes.intervalo <- exer.costas #objeto treino do dia B eh feito com os exercicios de costas
      DiaC.exercicio.repeticoes.intervalo <- c(exer.perna, exer.abdominal[2])#objeto treino do dia C eh feito com os exercicios de perna e abdominal na posio 2
      DiaD.exercicio.repeticoes.intervalo <- exer.ombro #objeto treino do dia D eh feito com os exercicios de ombro
      DiaE.exercicio.repeticoes.intervalo <- exer.biceps #objeto treino do dia E eh feito com os exercicios de biceps
      DiaF.exercicio.repeticoes.intervalo <- c(exer.triceps, exer.abdominal[3]) #objeto treino do dia F eh feito com os exercicios de triceps e abdominal na posio 3
      
      treino.novo <- data.frame(DiaA.exercicio.repeticoes.intervalo, DiaB.exercicio.repeticoes.intervalo,DiaC.exercicio.repeticoes.intervalo,DiaD.exercicio.repeticoes.intervalo,DiaE.exercicio.repeticoes.intervalo,DiaF.exercicio.repeticoes.intervalo) #cria o data.frame com os exercicios do novo treino
    }
    
    if(substr(treino, 1, 1)=="n") #se a resposta for 'nao' para a pergunta "Voce quer treinar um grupo por dia?"
    {
      treino <- readline("Quantos dias na semana voce ira treinar? Escolha de 3 a 6 dias.") #Ocorre uma interao com o usuario com uma nova pergunta na tela
      
      if(substr(treino, 1, 1)=="6") #se a resposta for '6' para a pergunta "Quantos dias na semana voce ira treinar?
      {
        
        exer.peito <- sample(peito, size=3, replace=F) #sorteio de 3 exercicios sem repeticao
        exer.costas <- sample(costas, size=3, replace=F) #sorteio de 3 exercicios sem repeticao
        exer.abdominal <- sample(abdominal, size=2, replace=F) #sorteio de 2 exercicios sem repeticao
        exer.perna <- sample(perna, size=4, replace=F) #sorteio de 4 exercicios sem repeticao
        exer.biceps <- sample(biceps, size=3, replace=F) #sorteio de 3 exercicios sem repeticao
        exer.triceps <- sample(triceps, size=3, replace=F) #sorteio de 3 exercicios sem repeticao
        exer.ombro <- sample(ombro, size=3, replace=F) #sorteio de 3 exercicios sem repeticao
        
        DiaA.exercicio.repeticoes.intervalo <- c(exer.peito, exer.biceps, exer.abdominal[1]) #objeto treino do dia A eh feito com os exercicios de peito e biceps e abdominal na posicao 1
        DiaB.exercicio.repeticoes.intervalo <- c(exer.ombro, exer.perna) #objeto treino do dia B eh feito com os exercicios de ombro e perna
        DiaC.exercicio.repeticoes.intervalo <- c(exer.costas, exer.triceps, exer.abdominal[2]) #objeto treino do dia C eh feito com os exercicios de costas e triceps e aqbdominal na posicao 1
        DiaD.exercicio.repeticoes.intervalo <- DiaA.exercicio.repeticoes.intervalo #objeto treino do dia D  igual ao A
        DiaE.exercicio.repeticoes.intervalo <- DiaB.exercicio.repeticoes.intervalo #objeto treino do dia E  igual ao B
        DiaF.exercicio.repeticoes.intervalo <- DiaC.exercicio.repeticoes.intervalo #objeto treino do dia F  igual ao C
        
        treino.novo <- data.frame(DiaA.exercicio.repeticoes.intervalo,DiaB.exercicio.repeticoes.intervalo,DiaC.exercicio.repeticoes.intervalo,DiaD.exercicio.repeticoes.intervalo,DiaE.exercicio.repeticoes.intervalo,DiaF.exercicio.repeticoes.intervalo) #cria o data.frame com os exercicios do novo treino
      }
      
      if(substr(treino, 1, 1)=="5") #se a resposta for '5' para a pergunta ""Quantos dias na semana voce ira treinar?
      {
        
        exer.peito <- sample(peito, size=3, replace=F) #sorteio de 3 exercicios sem repeticao
        exer.costas <- sample(costas, size=3, replace=F) #sorteio de 3 exercicios sem repeticao
        exer.abdominal <- sample(abdominal, size=3, replace=F) #sorteio de 3 exercicios sem repeticao
        exer.perna <- sample(perna, size=5, replace=F) #sorteio de 5 exercicios sem repeticao
        exer.biceps <- sample(biceps, size=3, replace=F) #sorteio de 3 exercicios sem repeticao
        exer.triceps <- sample(triceps, size=3, replace=F) #sorteio de 3 exercicios sem repeticao
        exer.ombro <- sample(ombro, size=3, replace=F) #sorteio de 3 exercicios sem repeticao
        
        DiaA.exercicio.repeticoes.intervalo <- c(exer.peito, exer.biceps) #objeto treino do dia A eh feito com os exercicios de peito e biceps
        DiaB.exercicio.repeticoes.intervalo <- c(exer.perna, exer.abdominal[1]) #objeto treino do dia B eh feito com os exercicios de perna nae abdominal na posicao 1
        DiaC.exercicio.repeticoes.intervalo <- c(exer.costas, exer.triceps) #objeto treino do dia C eh feito com os exercicios de costas e triceps
        DiaD.exercicio.repeticoes.intervalo <- c(exer.ombro, exer.abdominal) #objeto treino do dia D eh feito com os exercicios de ombro e abdominal
        DiaE.exercicio.repeticoes.intervalo <- DiaA.exercicio.repeticoes.intervalo #objeto treino do dia E eh feito com os exercicios do primeiro dia de treino
        
        treino.novo <- data.frame(DiaA.exercicio.repeticoes.intervalo,DiaB.exercicio.repeticoes.intervalo,DiaC.exercicio.repeticoes.intervalo,DiaD.exercicio.repeticoes.intervalo,DiaE.exercicio.repeticoes.intervalo) #cria o data.frame com os exercicios do novo treino
      }
      
      if(substr(treino, 1, 1)=="4") #se a resposta for '4' para a pergunta "Quantos dias na semana voce ira treinar?"
      {
        
        exer.peito <- sample(peito, size=3, replace=F) #sorteio de 3 exercicios sem repeticao
        exer.costas <- sample(costas, size=3, replace=F) #sorteio de 3 exercicios sem repeticao
        exer.abdominal <- sample(abdominal, size=3, replace=F) #sorteio de 3 exercicios sem repeticao
        exer.perna <- sample(perna, size=5, replace=F) #sorteio de 5 exercicios sem repeticao
        exer.biceps <- sample(biceps, size=3, replace=F) #sorteio de 3 exercicios sem repeticao
        exer.triceps <- sample(triceps, size=3, replace=F) #sorteio de 3 exercicios sem repeticao
        exer.ombro <- sample(ombro, size=3, replace=F) #sorteio de 3 exercicios sem repeticao
        
        DiaA.exercicio.repeticoes.intervalo <- c(exer.peito, exer.biceps) #objeto treino do dia A eh feito com os exercicios de peito e biceps
        DiaB.exercicio.repeticoes.intervalo <- c(exer.perna, exer.abdominal[1]) #objeto treino do dia B eh feito com os exercicios de perna nae abdominal na posicao 1
        DiaC.exercicio.repeticoes.intervalo <- c(exer.costas, exer.triceps) #objeto treino do dia C eh feito com os exercicios de costas e triceps
        DiaD.exercicio.repeticoes.intervalo <- c(exer.ombro, exer.abdominal) #objeto treino do dia D eh feito com os exercicios de ombro e abdominal
        
        treino.novo <- data.frame(DiaA.exercicio.repeticoes.intervalo, DiaB.exercicio.repeticoes.intervalo, DiaC.exercicio.repeticoes.intervalo, DiaD.exercicio.repeticoes.intervalo) #cria o data.frame com os exercicios do novo treino
      }
      
      if(substr(treino, 1, 1)=="3") #se a resposta for '3' para a pergunta "Quantos dias na semana voce ira treinar?"
      {
        
        exer.peito <- sample(peito, size=3, replace=F) #sorteio de 3 exercicios sem repeticao
        exer.costas <- sample(costas, size=3, replace=F) #sorteio de 3 exercicios sem repeticao
        exer.abdominal <- sample(abdominal, size=2, replace=F) #sorteio de 2 exercicios sem repeticao
        exer.perna <- sample(perna, size=4, replace=F) #sorteio de 4 exercicios sem repeticao
        exer.biceps <- sample(biceps, size=3, replace=F) #sorteio de 3 exercicios sem repeticao
        exer.triceps <- sample(triceps, size=3, replace=F) #sorteio de 3 exercicios sem repeticao
        exer.ombro <- sample(ombro, size=3, replace=F) #sorteio de 3 exercicios sem repeticao
        
        DiaA.exercicio.repeticoes.intervalo <- c(exer.peito, exer.biceps, exer.abdominal[1]) #objeto treino do dia A eh feito com os exercicios de peito e biceps e abdominal na posicao 1
        DiaB.exercicio.repeticoes.intervalo <- c(exer.ombro, exer.perna) #objeto treino do dia B eh feito com os exercicios de ombro e perna
        DiaC.exercicio.repeticoes.intervalo <- c(exer.costas, exer.triceps, exer.abdominal[2]) #objeto treino do dia C eh feito com os exercicios de costas e triceps e aqbdominal na posicao 2
        
        treino.novo <- data.frame(DiaA.exercicio.repeticoes.intervalo,DiaB.exercicio.repeticoes.intervalo,DiaC.exercicio.repeticoes.intervalo) #cria o data.frame com os exercicios do novo treino
      }
    }
    
    exercicios.repetidos <- intersect(unlist(as.list(treino.anterior)), unlist(as.list(treino.novo))) #interseccao da transformacao dos treinos em listas para usar o if else
    
    cat("\nExercicios do treino novo que se repetem com o treino antigo:\n") #mostra uma mensagem na tela. Ha quebra de linha.
    
    if(length(exercicios.repetidos) > 0) #cria uma condicao: se os exercicios repetidos forem maior que 0
    {
      cat(paste(toString(exercicios.repetidos), "\n", "\n")) #aparecera na tela os exercicios repetidos dos treinos
    }
    else{ #se a situacao for diferente da anterior
      cat("Nao ha exercicios repetidos.\n \n") #aparecera na tela essa mensagem. Ha quebra de linha.
    }
    
    cat("O arquivo treinonovo.cvs com o novo treino foi criado no diretorio ativo.") #mostra uma mensagem na tela
    cat("\n","\n") #quebra de linha
    cat("Treino novo:\n") #mostra uma mensagem na tela
    cat("\n") #quebra de linha
    
    write.table(treino.novo, file="treinonovo.csv", sep=";", row.names=F) #cria um arquivo cvs no diretorio ativo com o novo treino conforme a escolha do usuario
    
    return(treino.novo) #mostra na tela o resultado do novo treino para o usuario
  }
}
